1. Products
Onebear
  • One Bear Public API
    • Webhooks
    • Getting started
    • Customers
      • List customers
      • Create a customer
      • Get a customer
      • Update a customer
    • Messages
      • List messages in a room
      • Get a message
    • Orders
      • List orders
      • Get an order
    • Products
      • List products
        GET
      • Get a product
        GET
    • Rooms
      • List rooms
      • Get a room
    • Schemas
      • CreateCustomerRequest
      • CustomerAddress
      • CustomerContactPerson
      • UpdateCustomerRequest
  • Live Chat Widget
    • Live Chat Widget - Setup & Integration Guide
    • OneBear Live Chat Widget — คู่มือตั้งค่าและการผสานระบบ
  • API Channel
    • API Channel - Setup & API Reference
    • OneBear API Channel — คู่มือตั้งค่าและ API Reference
  1. Products

List products

GET
/api/v1/companies/{companyId}/products
Catalog items with variants, price and stock.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Query Params

Responses

🟢200
OK
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.onebear.ai/api/v1/companies//products?category=&status=&search=&sort=&pageSize=&continuationToken=' \
--header 'Authorization: Bearer <token>'
Modified at 2026-09-16 07:13:47
Previous
Get an order
Next
Get a product
Built with